
function X=g_shistog(iter,n,xmin,xmax)
%Gaussian S(n) distribution function generator (WIP)
%Usage: X=g_shistog(iter,n,xmin,xmax)
%default iter=10000,n=1,xmin=-5,xmax=5

    if nargin < 1, iter=10000; end
    if nargin < 2, n=1; end
    if nargin < 3, xmin=-5; xmax=5; end

    Y=zeros(1,iter);
    
    for i=1:iter
        for j=1:n
            Y(1,i) = Y(1,i) + g_gen(xmin,xmax);
        end
    end
    
    [nhist,xout] = hist(Y,[(xmin*n):0.5:(xmax*n)]);
    
    X = [xout; nhist];
    
    bar(xout,nhist);
    hold on;
    plot(xout,nhist);
    axis([xmin xmax 0 iter/5]);
    %axis 'auto y';
    xlabel(strcat( 'S(', num2str(n), ')' ));
    hold off;