
function [Xres Yres Zres]=g_stable_div2(iter,xmin,xmax)
%Gaussian divisive stability checker (WIP)
%Usage: [Xres Yres Zres]=g_stable_div2(iter,xmin,xmax)
%default iter=10000,xmin=-5,xmax=5
%uses rescaling with square average

    if nargin < 1, iter=10000; end
    if nargin < 2, xmin=-5; xmax=5; end
    
    X=zeros(1,iter);
    Y=zeros(1,iter);
    Z=zeros(1,iter);
    
    for i=1:iter
        R = rand(1); %%%Uniformly distributed random number
        
        Z(1,i) = g_gen(xmin,xmax);
        
        X(1,i) = R * Z(1,i);
        Y(1,i) = (1-R) * Z(1,i);
    end
    
    a = 1 / sqrt( mean(X.^2) - mean(X)^2 );
    b = -mean(X) * a;
    
    X = a*X + b;
    
    mn = mean(X)
    vr = var(X)
    
    a = 1 / sqrt( mean(Y.^2) - mean(Y)^2 );
    b = -mean(Y) * a;
    
    Y = a*Y + b;
    
    mn = mean(Y)
    vr = var(Y)
    
    a = 1 / sqrt( mean(Z.^2) - mean(Z)^2 );
    b = -mean(Z) * a;
    
    Z = a*Z + b;
    
    mn = mean(Z)
    vr = var(Z)
    
    [nx,xx] = hist(X,[min(X):0.25:max(X)]);
    [ny,xy] = hist(Y,[min(Y):0.25:max(Y)]);
    
    [nz,xz] = hist(Z,[min(Z):0.25:max(Z)]);
    
    Xres = [xx;nx];
    Yres = [xy;ny];
    
    Zres = [xz;nz];
    
    bar(xz,nz);
    hold on;
    plot(xz,nz,'LineWidth',0.8);
    plot(xx,nx,':',xy,ny,':');
    %axis([a*xmin+b a*xmax+b 0 iter/2]);
    %axis 'auto y';
    xlabel('x');
    hold off;