
function X=histog(n,s,iter)
%P(S_n) distribution function generator (WORKING)
%Usage: X=histog(n,s,# of iterations)
%default s=1, iter=1000
%[manually calculated histogram]

if nargin < 2, s=1; end
if nargin < 3, iter=1000; end

    Y=zeros(1,iter);
    
    for i=1:iter
        Y(1,i) = essu(n,s);
    end
    
    Y=sort(Y);
    
    z=1;
    for i=1:iter-1
        if Y(1,i) ~= Y(1,i+1)
            z = z+1;
        end
    end
    
    X=zeros(2,z);
    X(1,1)=Y(1,1);
    col=1;
    
    for i=1:iter-1
        X(2,col) = X(2,col) + 1;
        if Y(1,i) ~= Y(1,i+1)
            col = col+1;
            X(1,col) = Y(1,i+1);
        end
    end
    
    X(2,col) = X(2,col) + 1;
    
    plot(X(1,:),X(2,:));
    hold on;
    bar(X(1,:),X(2,:));
    %axis([-(s*n+s) s*n+s 0 iter/2]); %[show whole possible x range]
    axisxlimit = max( abs(min(X(1,:))) , abs(max(X(1,:))) ) + s
    axis([-axisxlimit axisxlimit 0 iter/2]); %[fit x range to values]
    axis 'auto y';
    set(gca,'XTick',X(1,:));
    xlabel(strcat( 'S(', num2str(n), ')' ));
    hold off;