
function X=histog2(n,s,iter)
%P(S_n) distribution function generator (WORKING)
%Usage: X=histog2(n,s,# of iterations)
%default s=1, iter=1000
%[uses Matlab hist]

if nargin < 2, s=1; end
if nargin < 3, iter=1000; end

    Y=zeros(1,iter);
    
    for i=1:iter
        Y(1,i) = essu(n,s);
    end
    
    Y=sort(Y);
    
    X=zeros(1,1);
    X(1,1)=Y(1,1);
    for i=1:iter-1
        if Y(1,i) ~= Y(1,i+1)
            X = [X Y(1,i+1)];
        end
    end
    
    [nhist,xout] = hist(Y,X); %Matlab hist
    
    X = [xout;nhist];
    
    bar(xout,nhist);
    hold on;
    plot(xout,nhist);
    axis([-(s*n+s) s*n+s 0 iter/2]);
    axis 'auto y';
    %set(gca,'XTick',[-(s*n):s:s*n]);
    xlabel(strcat( 'S(', num2str(n), ')' ));
    hold off;