
function X=histog3(n,iter,s)
%P(S_n) distribution function generator WITH SCALING (WIP)
%Usage: X=histog3(n,# of iterations,s)
%default iter=1000
%default s=1

if nargin < 3, s=1; end
if nargin < 2, iter=1000; end

    Y=zeros(1,iter);
    
    for i=1:iter
        Y(1,i) = essu(n,s);
    end
    
    Y=sort(Y);
    
    mn = mean(Y)
    mn2 = mean(Y-mn)
    
    vr = var(Y)
    vr2 = var( (Y-mn) / std(Y) )
    
    a = 1 / sqrt( mean(Y.^2) - mean(Y)^2 )
    b = -mean(Y) * a
    
    Y = a*Y + b;
    
    mn3 = mean(Y)
    vr3 = var(Y)
    
    X=zeros(1,1);
    X(1,1)=Y(1,1);
    for i=1:iter-1
        if Y(1,i) ~= Y(1,i+1)
            X = [X Y(1,i+1)];
        end
    end
    
    [nhist,xout] = hist(Y,X); %Matlab hist
    
    mn = mean(xout)
    vr = var(xout)
    
    X = [xout;nhist];
    
    bar(xout,nhist);
    hold on;
    plot(xout,nhist);
    %axis([-(s*n+s) s*n+s 0 iter/2]);
    %axis 'auto y';
    %set(gca,'XTick',[-(s*n):s:s*n]);
    xlabel(strcat( 'S(', num2str(n), ')' ));
    hold off;