
function X=levy_shistog(a,n,iter,xmin,xmax)
%Levy S(n) distribution function generator (WIP)
%Usage: X=levy_shistog(a,n,iter,xmin,xmax)
%default alpha=1,n=1,iter=1000,xmin=-5,xmax=5

    if nargin < 1, a=1; end
    if nargin < 2, n=1; end    
    if nargin < 3, iter=1000; end
    if nargin < 4, xmin=-5; xmax=5; end

    Y=zeros(1,iter);
    
    for i=1:iter
        for j=1:n
            Y(1,i) = Y(1,i) + levy_gen(a,xmin,xmax);
        end
    end
    
    [nhist,xout] = hist(Y,[(xmin*n):0.25:(xmax*n)]);
    
    X = [xout; nhist];
    
    bar(xout,nhist);
    hold on;
    plot(xout,nhist);
    axis([xmin xmax 0 iter/10]);
    %axis 'auto y';
    xlabel( strcat( 'S(', num2str(n), ')' ) );
    hold off;