
function [Xres Yres Zres]=levy_stable(a,iter,xmin,xmax)
%Levy additive stability checker (WIP)
%Usage: [Xres Yres Zres]=levy_stable(a,iter,xmin,xmax)
%default a=1,iter=1000,xmin=-5,xmax=5

%!!!rescaling with square average (only valid for Gaussian - alpha=2)

    if nargin < 1, a=1; end
    if nargin < 2, iter=1000; end
    if nargin < 3, xmin=-5; xmax=5; end

    X=zeros(1,iter);
    Y=zeros(1,iter);
    Z=zeros(1,iter);
    
    for i=1:iter
        X(1,i) = levy_gen(a,xmin,xmax);
        Y(1,i) = levy_gen(a,xmin,xmax);
        
        Z(1,i) = (X(1,i) + Y(1,i));
    end
    
    a = 1 / sqrt( mean(X.^2) - mean(X)^2 ); %rescaling mean and var
    b = -mean(X) * a;
    
    X = a*X + b;
        
    mn = mean(X)
    vr = var(X)
    
    a = 1 / sqrt( mean(Y.^2) - mean(Y)^2 );
    b = -mean(Y) * a;
        
    Y = a*Y + b;
    
    mn = mean(Y)
    vr = var(Y)
    
    a = 1 / sqrt( mean(Z.^2) - mean(Z)^2 );
    b = -mean(Z) * a;
    
    Z = a*Z + b;
        
    mn = mean(Z)
    vr = var(Z)
    
    [nx,xx] = hist(X,[min(X):0.25:max(X)]);
    [ny,xy] = hist(Y,[min(Y):0.25:max(Y)]);
    
    [nz,xz] = hist(Z,[min(Z):0.25:max(Z)]);
    
    Xres = [xx;nx];
    Yres = [xy;ny];
    
    Zres = [xz;nz];
    
    bar(xz,nz);
    hold on;
    plot(xz,nz,xx,nx,xy,ny);
    axis([xmin xmax 0 iter/2]);
    axis 'auto y';
    xlabel('x');
    hold off;