
function x=lor_gen(gamma,xmin,xmax)
%Lorentzian random number generator (WORKING)
%Usage: x=lor_gen(gamma,xmin,xmax)
%default gamma=1, xmin=-5, xmax=5

    if nargin < 1, gamma=1; end
    if nargin < 2, xmin=-5; xmax=5; end

    C = 0.4; %C >= F(x) for every x in [a,b)
    
    accept = 0; %0=not accepted
    while accept == 0
        x = rand*(xmax-xmin)+xmin;
        u = rand*C;
        
        y = (gamma/pi) * ( 1 / (gamma^2 + x^2) ); %PDF
        
        if u <= y
            accept = 1;   
        end
    end