
function [Xres Yres Zres]=lor_stable2(iter,gamma,xmin,xmax)
%Lorentzian additive stability checker (WIP)
%Usage: [Xres Yres Zres]=lor_stable2(iter,gamma,xmin,xmax)
%default iter=10000,gamma=1,xmin=-5,xmax=5

%!!!rescaling with half-width

    if nargin < 1, iter=10000; end
    if nargin < 2, gamma=1; end
    if nargin < 3, xmin=-5; xmax=5; end

    Dx = 1*2; %%%half-width value for Lorentzian distribution
    
    X=zeros(1,iter);
    Y=zeros(1,iter);
    Z=zeros(1,iter);
    
    for i=1:iter
        X(1,i) = lor_gen(gamma,xmin,xmax);
        Y(1,i) = lor_gen(gamma,xmin,xmax);
        
        Z(1,i) = (X(1,i) + Y(1,i));
    end
    
    a = 1 / Dx; %rescaling with half_width
    X = a*X;
    
    mn = mean(X)
    vr = var(X)
    
    Y = a*Y;
    
    mn = mean(Y)
    vr = var(Y)
    
    Z = a*Z;
    
    mn = mean(Z)
    vr = var(Z)
    
    [nx,xx] = hist(X,[min(X):0.25:max(X)]);
    [ny,xy] = hist(Y,[min(Y):0.25:max(Y)]);
    
    [nz,xz] = hist(Z,[min(Z):0.25:max(Z)]);
    
    Xres = [xx;nx];
    Yres = [xy;ny];
    
    Zres = [xz;nz];
    
    bar(xz,nz);
    hold on;
    plot(xz,nz,xx,nx,xy,ny);
    %axis([a*xmin+b a*xmax+b 0 iter/2]);
    %axis 'auto y';
    xlabel('x');
    hold off;