
function [Xres Yres Zres]=lor_stable_div(iter,gamma,xmin,xmax)
%Lorentzian divisive stability checker (WIP)
%Usage: [Xres Yres Zres]=lor_stable_div(iter,gamma,xmin,xmax)
%default iter=10000,gamma=1,xmin=-5,xmax=5

%!!!rescaling with mean(|x|)

    if nargin < 1, iter=10000; end
    if nargin < 2, gamma=1; end
    if nargin < 3, xmin=-5; xmax=5; end
    
    R = rand(1); %%%Uniformly distributed random number

    X=zeros(1,iter);
    Y=zeros(1,iter);
    Z=zeros(1,iter);
    
    for i=1:iter
        Z(1,i) = lor_gen(gamma,xmin,xmax);
        
        X(1,i) = R * Z(1,i);
        Y(1,i) = (1-R) * Z(1,i);
    end
    
    a = 1 / mean(abs(X)); %rescaling with mean(|x|)
    X = a*X;
    
    mn = mean(X)
    vr = var(X)
    
    a = 1 / mean(abs(Y));
    Y = a*Y;
    
    mn = mean(Y)
    vr = var(Y)
    
    a = 1 / mean(abs(Z));
    Z = a*Z;
    
    mn = mean(Z)
    vr = var(Z)
    
    [nx,xx] = hist(X,[min(X):0.25:max(X)]);
    [ny,xy] = hist(Y,[min(Y):0.25:max(Y)]);
    
    [nz,xz] = hist(Z,[min(Z):0.25:max(Z)]);
    
    Xres = [xx;nx];
    Yres = [xy;ny];
    
    Zres = [xz;nz];
    
    bar(xz,nz);
    hold on;
    plot(xz,nz,xx,nx,xy,ny);
    %axis([a*xmin+b a*xmax+b 0 iter/2]);
    %axis 'auto y';
    xlabel('x');
    hold off;